<?php
$section = (!empty($_GET['section'])) ? $_GET['section'] : 'style';
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.1 Transitional//EN">
<html>
<head>
<title>Guestbook - Style</title>
<meta http-equiv="content-type" content="text/html; charset=<?php echo $this->VARS['charset']; ?>">
<link rel="stylesheet" type="text/css" href="admin.css">
<script type="text/javascript" src="lazjs.php?jspage=admin"></script> 
<style type="text/css">
<!--
.text_size1 {  font-family: <?php echo $this->VARS["font_face"]; ?>; font-size: <?php echo $this->VARS["tb_font_1"]; ?>}
.text_size2 {  font-family: <?php echo $this->VARS["font_face"]; ?>; font-size: <?php echo $this->VARS["tb_font_2"]; ?>}
.font {  font-family: <?php echo $this->VARS["font_face"]; ?>; }
-->
</style>
<script type="text/javascript">
<!--
var timenow = new Date();
var day = timenow.getDay();
var hour = timenow.getHours();
var minute = timenow.getMinutes();
var serverTime = new Date(<?php echo(date("Y, n-1, j, G, i, s")); ?>)
var serverSecs = serverTime.getTime();
var pcSecs = timenow.getTime();
var theDiff = ((pcSecs - serverSecs)/3600000);
var theDiff = theDiff.toFixed(1);

switch (day)
{
 case 0 :
      textday = "Sunday";
      break;
 case 1 :
      textday = "Monday";
      break;  
 case 2 :
      textday = "Tuesday";
      break;  
 case 3 :
      textday = "Wednesday";
      break;  
 case 4 :
      textday = "Thursday";
      break;  
 case 5 :
      textday = "Friday";
      break;  
 case 6 :
      textday = "Saturday";
      break;      
}

if (hour < 10)
{
   hour = '0'+hour;
}
if (minute < 10)
{
   minute = '0'+minute;
}
//-->
</script> 
</head>
<body>
<h4 align="center">S T Y L E &nbsp; S E T T I N G S</h4>
<?php 
$include_path = dirname(__FILE__);
include($include_path.'/menu.php'); 
?>
<div class="contenttable">
<form action="<?php echo $this->SELF.'?section='.$section; ?>" name="FormMain" method="post">
<?php
if($section == 'include')
{ 
?>
  <table>
    <tr> 
      <td height="25" class="section">The Include Code</td>
    </tr>
    <tr> 
      <td class="subsection">Integrating the guestbook into your website is now easier than ever.</td>
    </tr>
    <tr> 
      <td class="righttd"><p><b>Your include code:</b> <input type="text" value="<?php echo '&lt;?php include(\''.preg_replace("/admin$/", '', dirname(__FILE__)).'gbinclude.php\'); ?&gt;'; ?>" size="96" class="input"></p>
      <p>Simply make a web as normal then put the code on the right EXACTLY where you want the guestbook to appear in the page.<br>
      Please remember that the page you are putting the code into must use the .php extension and not .htm nor .html</p>
      <p><b>example:</b>
      <div style="overflow: auto; border: 1px solid #000; padding: 5px; margin: 2px; background-color: #EFEFEF;">
      <pre>
      &lt;!DOCTYPE HTML PUBLIC &quot;-//W3C//DTD HTML 4.01 Transitional//EN&quot;&gt;
      &lt;html&gt;
        &lt;head&gt;
        &lt;meta http-equiv=&quot;content-type&quot; content=&quot;text/html; charset=utf-8&quot;&gt;
        &lt;title&gt;My Guestbook&lt;/title&gt;
        &lt;/head&gt;
        &lt;body&gt;
        &lt;h1&gt;Welcome To My Site&lt;/h1&gt;
        <?php echo '&lt;?php include(\''.preg_replace("/admin$/", '', dirname(__FILE__)).'gbinclude.php\'); ?&gt;'; ?>
        
        &lt;/body&gt;
      &lt;/html&gt;</pre>
      </div></p>
      <p>The guestbook will appear EXACTLY where you place the include code in your web page.</p>
      <hr />
      <p><input type="checkbox" name="external_css" id="external_css" <?php if ($this->VARS["external_css"]) {echo "checked";}?>> <label for="external_css">Use external style sheet.</label></p>
      <p>If you prefer to use your own external style sheet to style the guestbook then select the above option. By default Lazarus will replace the class attributes in the templates with the relevant inline CSS.</p>
      <p>Here is the CSS that the guestbook outputs when used as a stand alone guestbook. Simply copy the CSS to get the class names to put into your own CSS file.</p>
      <div style="overflow: auto; border: 1px solid #000; padding: 5px; margin: 2px; background-color: #EFEFEF;">
<pre>
.font1 { font-family: <?php echo $this->VARS['font_face']; ?>; font-size: <?php echo $this->VARS['tb_font_1']; ?>; color: <?php echo $this->VARS['text_color']; ?>; }
.font2 { font-family: <?php echo $this->VARS['font_face']; ?>; font-size: <?php echo $this->VARS['tb_font_2']; ?>; color: <?php echo $this->VARS['text_color']; ?>; }
.font3 { font-family: Arial, Helvetica, sans-serif; font-size: 7.5pt; color: <?php echo $this->VARS['text_color']; ?>; font-weight: bold; }
.select { font-family: <?php echo $this->VARS['font_face']; ?>; font-size: 9pt; }
.input { font-family: <?php echo $this->VARS['font_face']; ?>; font-size: 9pt; }
.gbsearch { font-family: <?php echo $this->VARS['font_face']; ?>; font-size: <?php echo $this->VARS['tb_font_1']; ?>; color: <?php echo $this->VARS['search_font_color']; ?>; background: <?php echo $this->VARS['search_bg_color']; ?>; }
</pre>
      </div>
      </td>
    </tr>
  </table>
<?php
}
if($section == 'style')
{ 
?>
  <table>
    <tr> 
      <td colspan="3" height="25" class="section">Style Settings</td>
    </tr>
    <tr> 
      <td colspan="3" class="subsection">Please complete the 
        following fields, which provide information such as your guestbook's table 
        width, the color of the table and the font face and font size.</td>
    </tr>
    <tr> 
      <td class="lefttd"> <b>Page Background Color</b><br>
        <small>Format - #FFFFFF</small></td>
      <td valign="top" class="righttd" style="width: 280px;"> 
        <input type="text" name="pbgcolor" value="<?php echo $this->VARS["pbgcolor"]; ?>" size="10" maxlength="7" class="input">
      </td>
      <td class="displaytd">
        <table border="1" cellspacing="0" cellpadding="1" style="background-color:<?php echo $this->VARS["pbgcolor"]; ?>" bordercolor="#000000">
          <tr>
            <td>&nbsp;</td>
          </tr>
        </table>
      </td>
    </tr>
    <tr> 
      <td class="lefttd"> <b>Table Width</font></b><br>
        <small>You may use either exact pixels (recommended: 600) or a percentage (recommended: 95%)</small> </td>
      <td class="righttd" valign="top"> 
        <input type="text" name="width" value="<?php echo $this->VARS["width"]; ?>" size="10" maxlength="6" class="input">
      </td>
      <td class="displaytd" valign="top">&nbsp;</td>
    </tr>
    <tr> 
      <td class="lefttd"> <b>Font Face (e.g., Verdana)</b><br>
        <small>You may use a backup font as well. For example: to use Verdana as your first choice, with Arial as 
        a conditional font for those users that don't have Verdana as a font on their system, you would type "Verdana, Arial") </small> </td>
      <td class="righttd" valign="top"> 
        <input type="text" name="font_face" value="<?php echo htmlspecialchars($this->VARS['font_face']); ?>" size="38" maxlength="70" class="input">
      </td>
      <td style="width:50px;background-color:#FFF;" class="font">Font</td>
    </tr>
    <tr> 
      <td class="lefttd"> <b>Link Color</b><br>
        <small>Guestbook link color. Format - #FFFFFF</small> 
      </td>
      <td class="righttd" valign="top"> 
        <input type="text" name="link_color" value="<?php echo $this->VARS["link_color"]; ?>" size="10" maxlength="7" class="input">
      </td>
      <td class="displaytd"> 
        <table width="70" border="1" cellspacing="0" cellpadding="1" style="background-color:<?php echo $this->VARS["link_color"]; ?>" bordercolor="#000000">
          <tr> 
            <td>&nbsp;</td>
          </tr>
        </table>
      </td>
    </tr>
    <tr> 
      <td class="lefttd"> <b>Text Color</b><br>
        <small>Guestbook text color. Format - #FFFFFF</small> 
      </td>
      <td class="righttd" valign="top"> 
        <input type="text" name="text_color" value="<?php echo $this->VARS["text_color"]; ?>" size="10" maxlength="7" class="input">
      </td>
      <td class="displaytd"> 
        <table width="70" border="1" cellspacing="0" cellpadding="1" style="background-color:<?php echo $this->VARS["text_color"]; ?>" bordercolor="#000000">
          <tr> 
            <td>&nbsp;</td>
          </tr>
        </table>
      </td>
    </tr>
    <tr> 
      <td class="lefttd"> <b>Text Size 1</b><br>
        <small>The text font size.</small> </td>
      <td class="righttd" valign="top"> 
        <input type="text" name="tb_font_1" value="<?php echo $this->VARS["tb_font_1"]; ?>" size="6" maxlength="6" class="input">
      </td>
      <td style="width:50px;background-color:#FFF;" class="text_size1">Text Size 1</td>
    </tr>
    <tr> 
      <td class="lefttd"> <b>Text Size 2</b><br>
        <small>A smaller value is recommend here... but depending on your font face, you may want to alter this.</small> 
      </td>
      <td class="righttd" valign="top"> 
        <input type="text" name="tb_font_2" value="<?php echo $this->VARS["tb_font_2"]; ?>" size="6" maxlength="6" class="input">
      </td>
      <td style="width:50px;background-color:#FFF;" class="text_size2">Text Size 2</td>
    </tr>
    <tr> 
      <td class="lefttd"> <b>Table Header Background Color</b><br>
        <small>This is the background color of the section titles. Format - #FFFFFF</small></td>
      <td class="righttd" valign="top"> 
        <input type="text" name="tb_hdr_color" value="<?php echo $this->VARS["tb_hdr_color"]; ?>" size="10" maxlength="7" class="input">
      </td>
      <td class="displaytd"> 
        <table width="70" border="1" cellspacing="0" cellpadding="1" style="background-color:<?php echo $this->VARS["tb_hdr_color"]; ?>" bordercolor="#000000">
          <tr> 
            <td>&nbsp;</td>
          </tr>
        </table>
      </td>
    </tr>
    <tr> 
      <td class="lefttd"> <b>Table Header Strip Text Color</b><br>
        <small>This is the color of the text at the top of the sections. Format - #FFFFFF</small></td>
      <td class="righttd" valign="top"> 
        <input type="text" name="tb_text" value="<?php echo $this->VARS["tb_text"]; ?>" size="10" maxlength="7" class="input">
      </td>
      <td class="displaytd"> 
        <table width="70" border="1" cellspacing="0" cellpadding="1" style="background-color:<?php echo $this->VARS["tb_text"]; ?>" bordercolor="#000000">
          <tr> 
            <td>&nbsp;</td>
          </tr>
        </table>
      </td>
    </tr>
    <tr>    
      <td class="lefttd"> <b>Table Background Color</b><br>
        <small>This is the color of the borders. Format - #FFFFFF</small></td>
      <td class="righttd" valign="top"> 
        <input type="text" name="tb_bg_color" value="<?php echo $this->VARS["tb_bg_color"]; ?>" size="10" maxlength="7" class="input">
      </td>
      <td class="displaytd"> 
        <table width="70" border="1" cellspacing="0" cellpadding="1" style="background-color:<?php echo $this->VARS["tb_bg_color"]; ?>" bordercolor="#000000">
          <tr> 
            <td>&nbsp;</td>
          </tr>
        </table>
      </td>
    </tr>
    <tr> 
      <td class="lefttd"> <b>First Alternating Table Column Color</b><br>
        <small>Format - #FFFFFF</small></td>
      <td class="righttd" valign="top"> 
        <input type="text" name="tb_color_1" value="<?php echo $this->VARS["tb_color_1"]; ?>" size="10" maxlength="7" class="input">
      </td>
      <td class="displaytd"> 
        <table width="70" border="1" cellspacing="0" cellpadding="1" style="background-color:<?php echo $this->VARS["tb_color_1"]; ?>" bordercolor="#000000">
          <tr> 
            <td>&nbsp;</td>
          </tr>
        </table>
      </td>
    </tr>
    <tr> 
      <td class="lefttd"> <b>Second Alternating Table Column Color</b><br>
        <small>Format - #FFFFFF</small></td>
      <td class="righttd" valign="top"> 
        <input type="text" name="tb_color_2" value="<?php echo $this->VARS["tb_color_2"]; ?>" size="10" maxlength="7" class="input">
      </td>
      <td class="displaytd"> 
        <table width="70" border="1" cellspacing="0" cellpadding="1" style="background-color:<?php echo $this->VARS["tb_color_2"]; ?>" bordercolor="#000000">
          <tr> 
            <td>&nbsp;</td>
          </tr>
        </table>
      </td>
    </tr>
    <tr> 
      <td class="lefttd"> <b>Search Box Background Color</b><br>
        <small>Format - #FFFFFF</small></td>
      <td class="righttd" valign="top"> 
        <input type="text" name="search_bg_color" value="<?php echo $this->VARS["search_bg_color"]; ?>" size="10" maxlength="7" class="input">
      </td>
      <td class="displaytd"> 
        <table width="70" border="1" cellspacing="0" cellpadding="1" style="background-color:<?php echo $this->VARS["search_bg_color"]; ?>" bordercolor="#000000">
          <tr> 
            <td>&nbsp;</td>
          </tr>
        </table>
      </td>
    </tr>
    <tr> 
      <td class="lefttd"> <b>Search Box Font Color</b><br>
        <small>Format - #FFFFFF</small></td>
      <td class="righttd" valign="top"> 
        <input type="text" name="search_font_color" value="<?php echo $this->VARS["search_font_color"]; ?>" size="10" maxlength="7" class="input">
      </td>
      <td class="displaytd"> 
        <table width="70" border="1" cellspacing="0" cellpadding="1" style="background-color:<?php echo $this->VARS["search_font_color"]; ?>" bordercolor="#000000">
          <tr> 
            <td>&nbsp;</td>
          </tr>
        </table>
      </td>
    </tr>        
  </table>
<?php
}
if($section == 'date')
{ 
?>
<table>
  <tr>
    <td colspan="2" height="25" class="section">Date/Time Display Options</td>
  </tr>
  <tr>
    <td colspan="2" class="subsection">
      <b>This Guestbook can display dates and times in a number of different
        formats. Remember that the times listed are based on the location of
        your web server, which may be different than the time zone where you
        reside/work. You can change the time zone displayed by using the Time
        Zone Offset field. For instance, if you are on the East Coast of the
        US, but your server is on the West Coast of the US, you would have to
        offset the server time to reflect that (by typing a 3 in the Time Zone
        Offset field, reflecting the 3 hours difference). If the Time Zone
        difference is negative, use negative number (as in -2).</b>
      </td>
  </tr>
  <tr bgcolor="#f7f7f7">
    <td width="55%">
      <b><font size="2" face="Verdana, Arial">Server Time Zone Offset</font></b><font size="1" face="Verdana, Arial"><br>
        You can offset the time drawn from your web server. For instance,
        if your server time is EST (US), but you want all time to reflect Pacific
        Time (US), you would have to offset your server time by placing the
        time zone difference in this field (for this example, that would be
        -3. You would place -3 in this field). The default is for there to be
        no server time zone offset (0).</font>

    </td>
    <td width="45%" valign="top"><input type="text" name="offset" value="<?php echo $this->VARS["offset"]; ?>" size="3" maxlength="4" class="input"><br>
          <font size="1">The offset stated below is only offered as a guide</font><br>
          <table border="0" bgcolor="#000000" cellspacing="1" cellpadding="2">
         <tr>
            <td bgcolor="#f7f7f7" align="center"><font size="1">The time on the server is:</font></td>
            <td bgcolor="#f7f7f7" align="center"><font size="1">The time on your computer is:</font></td>
            <td bgcolor="#f7f7f7" align="center"><font size="1">The offset is:</font></td>
         </tr>
         <tr>
            <td bgcolor="#f7f7f7" align="center"><font size="1"><?php echo(date("l H:i")); ?></font></td>
            <td bgcolor="#f7f7f7" align="center"><font size="1"><script type="text/javascript">
<!--
document.writeln (textday + ' ' + hour + ':' + minute + '</font></td><td bgcolor="#f7f7f7" align="center"><font size="1">' + theDiff);
//-->
</script>
         </font></td>
         </tr>
      </table>
      </td>
  </tr>
  <tr bgcolor="#dedfdf">
    <td width="55%" valign="top"> <b><font size="2" face="Verdana, Arial">Date Format</font></b> <font size="1" face="Verdana, Arial"><br>
      European Format is DD-MM-YR, while US format is MM-DD-YR. Expanded formats
      include full month name.</font>
    </td>
    <td width="45%" valign="top"> <font size="2" face="Verdana, Arial">
      <input type="radio" name="dformat" id="ISO" value="ISO" <?php if ($this->VARS["dformat"] == "ISO") {echo "checked";}?>>
      <label for="ISO">International Standard Format (2000-04-17)</label><br> 
      <input type="radio" name="dformat" id="USx" value="USx" <?php if ($this->VARS["dformat"] == "USx") {echo "checked";}?>>
      <label for="USx">US Format (04-17-2000)</label><br>
      <input type="radio" name="dformat" id="US" value="US" <?php if ($this->VARS["dformat"] == "US") {echo "checked";}?>>
      <label for="US">Exp. US Format (Monday, April 25, 2000)</label><br>
      <input type="radio" name="dformat" id="Eurox" value="Eurox" <?php if ($this->VARS["dformat"] == "Eurox") {echo "checked";}?>>
      <label for="Eurox">European Format (17.04.2000)</label><br>
      <input type="radio" name="dformat" id="Euro" value="Euro" <?php if ($this->VARS["dformat"] == "Euro") {echo "checked";}?>>
      <label for="Euro">Exp. European Format (Monday, 25 April 2000)</label></font></td>
  </tr>
  <tr bgcolor="#f7f7f7">
    <td width="55%"> <b><font size="2" face="Verdana, Arial">Smart Time</font></b> <font size="1" face="Verdana, Arial"><br>
      Display date as <strong>seconds ago</strong>, <strong>minutes ago</strong>, <strong>Today at</strong> and <strong>Yesterday at</strong> where appropriate.</font></td>
    <td width="45%" valign="top"> <font size="2" face="Verdana, Arial">
      <input type="checkbox" name="smarttime" id="smarttime" <?php if ($this->VARS["smarttime"]) {echo "checked";}?>> <label for="smarttime"><small>Use Smart time</small></label></font></td>
  </tr>  
  <tr bgcolor="#dedfdf">
    <td width="55%"> <b><font size="2" face="Verdana, Arial">Time Format</font></b> <font size="1" face="Verdana, Arial"><br>
      You can have time displayed in AM/PM format, or in 24-hour format.</font></td>
    <td width="45%" valign="top"> <font size="2" face="Verdana, Arial">
      <input type="radio" name="tformat" id="AMPM" value="AMPM" <?php if ($this->VARS["tformat"] == "AMPM") {echo "checked";}?>>
      <label for="AMPM">Use AM/PM Time Format</label><br>
      <input type="radio" name="tformat" id="24hr" value="24hr" <?php if ($this->VARS["tformat"] == "24hr") {echo "checked";}?>>
      <label for="24hr">User 24-Hour Format Time (eg, 23:15)</label></font></td>
  </tr>
</table>
<?php
}
if($section == 'adblock')
{ 
?>
<table>
  <tr>
    <td colspan="2" height="25" class="section">Ad Block</td>
  </tr>
  <tr>
    <td colspan="2" class="subsection">
      <b>Display an advert in your guestbook entries.</b>
      </td>
  </tr>
  <tr bgcolor="#f7f7f7">
    <td width="55%"> <b><font size="2" face="Verdana, Arial">Position</font></b> <font size="1" face="Verdana, Arial"><br>
      Here you can specify at what position you want the ad code to appear. 1 will be the very first entry, 2 the second and so on. 
      Set this to 0 to disable the code block.</font></td>
    <td width="45%" valign="top"><select name="ad_pos" class="input">
    <?php
    for ($i=0;$i<=($this->VARS['entries_per_page'] + 1);$i++)
    {
      echo '<option value="'.$i.'"';
      if ($i == $this->VARS['ad_pos'])
      {
         echo ' selected';
      }
      echo '>'.$i."</option>\n";
    }
    ?>
    </td>
  </tr>
  <tr bgcolor="#dedfdf">
   <td width="55%" valign="top"><b><font size="2" face="Verdana, Arial">Ad Code</font></b><br>
   <font size="2" face="Verdana, Arial">Place the code you wish to appear in the guestbook into the textarea on the right.
    <p>You can use HTML in here.</p>
    <p>A preview will appear below once you have saved your code.</p>
    </font>
   <td width="45%" valign="top"><textarea cols="41" rows="14" wrap="virtual" name="ad_code" id="ad_code" class="input"><?php echo htmlspecialchars($this->VARS['ad_code']); ?></textarea>
   <div class="textarea_resize"><img src="<?php echo $this->VARS["base_url"]; ?>/img/up.gif" alt="up" title="shrink textarea" onclick="resizeTextarea('ad_code','up');" /><br /><img src="<?php echo $this->VARS["base_url"]; ?>/img/down.gif" alt="up" title="enlarge textarea" onclick="resizeTextarea('ad_code','down');" /></div></td>
  </tr>
  <?php
  if (!empty($this->VARS['ad_code']))
  {
  ?>
  <tr bgcolor="#f7f7f7">
   <td valign="top" colspan="2">
   <b><font size="2" face="Verdana, Arial">Preview</font></b><br>
   <div style="overflow: auto; border: 1px solid #000; padding: 5px; margin: 2px; background-color: #EFEFEF;">
     <?php
       echo $this->VARS['ad_code'];
     ?>
   </div>
   </td>
  </tr> 
  <?php
  }
}
  ?>
</table>
 <br>
  <center>
    <input type="submit" value="Submit Settings">
    <input type="reset" value="Reset">
    <input type="hidden" value="<?php echo $this->uid; ?>" name="uid">
    <input type="hidden" value="<?php echo $this->gbsession; ?>" name="gbsession">
    <input type="hidden" value="save" name="action">
    <input type="hidden" value="style" name="panel">
    <input type="hidden" value="<?php echo $section; ?>" name="section">
  </center>
</form>
</div>
